/**
 * Implement this class-interface to create an handler for missing values.
 */
export declare abstract class L10nMissingTranslationHandler {
    /**
     * This method must contain the logic to handle missing values.
     * @param key The key that has been requested
     * @param value Null or empty string
     * @return The value
     */
    abstract handle(key: string, value?: string): string | any;
}
export declare class L10nDefaultMissingTranslationHandler implements L10nMissingTranslationHandler {
    handle(key: string, value?: string): string | any;
}
